LPQ(1)

NAME
lpq - display the queue of printer jobs

SYNOPSIS
lpq [ -Pprinter ] [ -l ] [ + [ interval ] ] [ job# ... ] [ username ... ]

DESCRIPTION

lpq displays the contents of a printer queue. It reports the status of jobs specified by job#, or all jobs owned by the user specified by username. lpq reports on all jobs in the default printer queue when invoked with no arguments.

For each print job in the queue, lpq reports the user's name, current position, the names of input files comprising the job, the job number (by which it is referred to when using lprm(1)) and the total size in bytes. Normally, only as much information as will fit on one line is displayed. Jobs are normally queued on a first-in-first-out basis. Filenames comprising a job may be unavailable, such as when lpr is used at the end of a pipeline; in such cases the filename field indicates ``(standard input)''.

If lpq warns that there is no daemon present (that is, due to some malfunction), the lpc(8) command can be used to restart a printer daemon.

OPTIONS

-P printer
    Display information about the queue for the specified printer. In the absence of the -P option, the queue to the printer specified by the PRINTER variable in the environment is used. If the PRINTER variable isn't set, the queue for the default printer is used.

-l  Display queue information in long format; includes the name of the host from which the job originated.

+[ interval ]
Display the spool queue periodically until it empties. This option clears the terminal screen before reporting on the queue. If an interval is supplied, lpq sleeps that number of seconds in between reports.

FILES
/etc/termcap
    for manipulating the screen for repeated display
/etc/printcap
    to determine printer characteristics
/var/spool/l*
    spooling directory, as determined from printcap
/var/spool/l*/cf*
    control files specifying jobs
/var/spool/l*/lock
    lock file to obtain the currently active job

SEE ALSO
lpr(1), lprm(1), lpc(8), lpd(8)

DIAGNOSTICS

printer is ready and printing
    The lpq program checks to see if there is a printer daemon. If the daemon is hung, the super-user can abort the current daemon and start a new one using lpc(8).

Waiting for printer to become ready (offline ?)
    The daemon could not open the printer device. The printer may be turned off-line. This message can also occur if a printer is out of paper, the paper is jammed, and so on. Another possible cause is that a process, such as an output filter, has exclusive use of the device. The only recourse in this case is to kill the offending process and restart the printer with lpc.

waiting for host to come up
    A daemon is trying to connect to the remote machine named host, in order to send the files in the local queue. If the remote machine is up, lpd on the remote machine is probably dead or hung and should be restarted using lpc.

sending to host
    The files are being transferred to the remote host, or else the local daemon has hung while trying to transfer the files.

Warning: printer is down
    The printer has been marked as being unavailable with lpc.

Warning: no daemon present
    The lpd process overseeing the spooling queue, as indicated in the ``lock'' file in that directory, does not exist. This normally occurs only when the daemon has unexpectedly died. Check the printer's error log for a diagnostic from the deceased process; you can restart the printer daemon with lpc.

BUGS

lpq may report unreliably. The status as reported may not always reflect the actual state of the printer. Under some circumstances, lpq reports that a printer is ready and printing when the daemon is, in fact, hung.

Output formatting is sensitive to the line length of the terminal; this can result in widely-spaced columns.

lpq is sometimes unable to open various files when the lock file is malformed.